apt-xapian-index (0.59) unstable; urgency=medium

  [ Olly Betts ]
  * Update to be compatible with Xapian 2

  [ Alexandre Detiste ]
  * Drop "Rules-Requires-Root: no": it is the default now
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Rewrite d/rules with newer & shorter syntax
  * Replace obsolete distutils with setuptools

 -- Alexandre Detiste <tchet@debian.org>  Mon, 09 Mar 2026 08:16:30 +0100

apt-xapian-index (0.58) unstable; urgency=medium

  [ Daniel Gröber ]
  * autopkgtest: Allow stderr output

  [ Alexandre Detiste ]
  * usage of "six" was already completely removed
  * bump Standards-Version

 -- Daniel Gröber <dxld@darkboxed.org>  Mon, 13 Oct 2025 12:55:24 +0200

apt-xapian-index (0.57) unstable; urgency=medium

  [ Ilu ]
  * Reintroduce package

  [ Daniel Gröber ]
  * Add missing python3-six depends (Closes: #1108343)
  * Modernize d/copyright
  * Add a simple autopkgtest

 -- Daniel Gröber <dxld@darkboxed.org>  Wed, 09 Jul 2025 15:02:08 +0200

apt-xapian-index (0.56) unstable; urgency=medium

  * QA upload
  * Add build-dependency on python3-setuptools (Closes: #1080539)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 19 Jan 2025 21:18:56 +0100

apt-xapian-index (0.55) unstable; urgency=medium

  * QA upload.

  * run isort
  * Fix SyntaxWarning (Closes: #1062039)
  * Remove usage of deprecated "imp" (Closes: #1064961)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 28 Feb 2024 15:28:33 +0100

apt-xapian-index (0.54) unstable; urgency=low

  * QA upload.

  * remove undeclared need for python3-six (Closes: #1032332, #1039456)
  * bump to debhelper 13 & some forward compatibility with 14/15
  * migrate from python3-nose to python3-nose2 (Closes: #1018310)
  * fix "unowned files after purge" (Closes: #863959)
  * remove old references to deprecated debian_bundle
  * fix remaining old Python2 "print" (Closes: #968060)
  * provide a native systemd timer matching the cron job
  * fix Py2->3 fallout: "rdetails fails: TypeError:" (Closes: #940987)
  * review with mypy, remove more Python2 hybridation
  * set Rules-Requires-Root: no
  * d/control: remove redundant dh-python

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch:
    + Build-Depends-Indep: Drop versioned constraint on bash-completion.

  [ Gioele Barabucci ]
  * d/post{inst,rm},preinst: Remove code for ancient versions

 -- Alexandre Detiste <tchet@debian.org>  Wed, 29 Nov 2023 18:01:47 +0100

apt-xapian-index (0.53) unstable; urgency=medium

  * QA upload.
  * Add the missing build dependency on python3-six. (Closes: #997109)
  * Remove the dead Homepage. (Closes: #974718)

 -- Adrian Bunk <bunk@debian.org>  Mon, 06 Dec 2021 20:13:46 +0200

apt-xapian-index (0.52) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Use set -e rather than passing -e on the shebang-line.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 04 Feb 2021 01:45:54 +0000

apt-xapian-index (0.51) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Use set -e rather than passing -e on the shebang-line.
  * Add missing build dependency on dh addon.

  [ Julian Andres Klode ]
  * Port the code to work with apt 1.9 (Closes: #931133)
  * Do not pass memonly=True

 -- Julian Andres Klode <jak@debian.org>  Sun, 08 Mar 2020 13:19:12 +0100

apt-xapian-index (0.50) unstable; urgency=medium

  * QA upload.

  [ Barry Warsaw ]
  * Switch to Python 3 as the default. (Closes: #804099)
  * d/compat: Bump to version 9.
  * d/control:
    - Bump debhelper version to >= 9.
    - Switch dependencies to their Python 3 version.
    - Use X-Python3-Version instead.
  * d/rules:
    - Fix the dh argument order.
    - Use --with=python3 and --build-system=pybuild
    - Run the tests in an override_dh_auto_test target.

  [ Paul Wise ]
  * Use the right path to the GPLv2 in Debian
  * Migrate a few minor things to Python 2 only
  * Use dpkg-source format 3.0 (native)
  * Use the current version of python3-xapian
  * Correctly import from the Python 3 configparser module
  * Decode bytes from Xapian to Python 3 strings
  * Update VCS information to use the new Salsa repo
  * Switch from debian/compat to debhelper-compat
  * Bump debhelper compat level to 12
  * Drop ancient X-Python3-Version
  * Fix spelling errors

  [ Elena Grandi ]
  * Don't traceback on missing index. Closes: #758403

  [ Ralf Treinen ]
  * Fix typo in postrm (Closes: #841417)

 -- Paul Wise <pabs@debian.org>  Sat, 27 Jul 2019 19:01:18 +0800

apt-xapian-index (0.49) unstable; urgency=medium

  * QA upload.
  * Wrap and sort Debian packaging data
  * Gracefully handle database format removals from Xapian (Closes: #839982)
  * Bump version to 0.49 in update-apt-xapian-index

 -- Paul Wise <pabs@debian.org>  Tue, 18 Oct 2016 11:15:35 +0800

apt-xapian-index (0.48) unstable; urgency=medium

  * QA upload.
  * Set package maintainer to Debian QA Group (Closes: #813201)
  * Bump version to 0.48 in update-apt-xapian-index
  * Correct index location in postrm so it is removed when the package is
    removed/purged (Closes: #799258)
  * Remove suggests on no longer existing app-install-data (Closes: #773549)
  * Remove hard coded depends on python - interpreter depends are provided by
    python:Depends
  * Bump standards version to 3.9.8 without further change

 -- Scott Kitterman <scott@kitterman.com>  Fri, 15 Jul 2016 13:14:56 -0400

apt-xapian-index (0.47+nmu2) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove /etc/bash_completion.d/axi-cache on upgrades. Closes: #806234
  * Bump bash-completion build dependency to 1:2.1-4.2~ (see #668254).

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 25 Nov 2015 19:07:27 +0100

apt-xapian-index (0.47+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove call to update-python-modules from postinst script. Closes: #793681

 -- Sven Joachim <svenjoac@gmx.de>  Fri, 13 Nov 2015 21:06:50 +0100

apt-xapian-index (0.47) unstable; urgency=low

  [ Enrico Zini ]
  * s/UNRELEASED/unstable/ in 0.46 changelog. Closes: #719940
  * Removed dbus support files, not needed anymore since software-center has
    been removed from sid and testing. Closes: #724837
  * Ported to dh-python2
  * Updated Standards-Version, no changes required.

  [ Elena Grandi ]
  * Use defaults when values file is broken. Closes: #736500

 -- Enrico Zini <enrico@debian.org>  Sun, 24 Aug 2014 10:44:58 -0700

apt-xapian-index (0.46) unstable; urgency=low

  * Fixed schrödinbug in app-install-data locale language parsing
  * Handle pyxdg ParsingErrors. Thanks Thomas Kluyver for the patch. Closes: #714594
  * Don't touch COMP_WORDBREAKS in bash completion, thanks Jonathan Nieder for
    the patch. Closes: #711876.
  * Fixed errors in package description, thanks Chad Dunlap for the patch.
    Closes: #684787.
  * Also trap UnicodeDecodeError among pyxdg's possible exceptions.
    Closes: #695073.

 -- Enrico Zini <enrico@debian.org>  Fri, 23 Nov 2012 21:46:48 +0100

apt-xapian-index (0.45) unstable; urgency=low

  * Gracefully deal with plugins failing in their info() function.
  * Fixed typo in exception name. Closes: #639143.

 -- Enrico Zini <enrico@debian.org>  Wed, 28 Dec 2011 14:34:39 +0100

apt-xapian-index (0.44) unstable; urgency=low

  * Applied trailing comma patch by Cédric Boutillier. Closes: #630774
  * Applied function prototype fix by Cédric Boutillier.
    Closes: #605376, #630343
  * Applied dbus policy patch by Michael Vogt. Closes: #611268
  * s/axi-search/axi-cache in the description, thanks to Jack Bates.
    Closes: #621035
  * axi-cache: improve output messages when no results are found or when
    paging past the last result. Closes: #623478
  * Applied slightly tweaked postinst patch by Michael Vogt, to index with
    ionice in postinst and to force a full reindex after some significant
    version upgrade. Closes: #603824
  * Applied patch by Michael Vogt to fix fix type of "start-time" for
    policykit. Closes: #605591
  * Implemented axi-cache search --all. Closes: #610051
  * Fixed server locking and slave progress reporting. Closes: #611366

 -- Enrico Zini <enrico@debian.org>  Wed, 22 Jun 2011 00:50:25 +0200

apt-xapian-index (0.43) unstable; urgency=low

  * Implemented axi-cache info. Closes: #602600
  * Added relations plugin to index package relations.
  * Implemented axi-cache rdepends using the index.
  * Implemented axi-cache rdetails to show details of reverse dependencies.
  * Changed apt.progress.text.OpProgress subclass signature to match API.
    Closes: #628560

 -- Enrico Zini <enrico@debian.org>  Thu, 02 Jun 2011 22:59:31 +0200

apt-xapian-index (0.42) unstable; urgency=low

  * Added ruby examples, thanks to Daniel Brumbaugh Keeney

 -- Enrico Zini <enrico@debian.org>  Wed, 09 Mar 2011 14:08:34 +0000

apt-xapian-index (0.41) unstable; urgency=low

  * Fixed typo in dbus config
  * Fixed DeprecationWarning in set_sort_by_value. Closes: #601880.
  * Reset cached sort value if --sort is not provided for search.
    Closes: #601881.

 -- Enrico Zini <enrico@debian.org>  Sat, 06 Nov 2010 11:25:07 +0000

apt-xapian-index (0.40) unstable; urgency=low

  * Xapian cache moved to /var/cache/apt-xapian-index. Closes: #594675.

 -- Enrico Zini <enrico@debian.org>  Sun, 03 Oct 2010 11:39:28 +0100

apt-xapian-index (0.39) unstable; urgency=low

  [ Enrico Zini ]
  * Fixed tests on Ubuntu (Thanks Michael Vogt for the patch)
  * Added cataloged-times plugin by Michael Vogt
  * Handle multiple invocations of indexer via dbus
  * Described axi-cache in the package description

  [ Colin Watson ]
  * Fix more crashes when the Dir::Cache::pkgcache file doesn't exist, along
    the same lines as Martin Pitt's change in 0.38 (LP: #267330).
  * Use the new MSetItem attribute API, introduced in Xapian 1.0.0, rather
    than the sequence API which was removed in 1.1.0 (closes: #595916).
  * Create the XDG cache directory with appropriate permissions if it
    doesn't exist.
  * Set better NAME sections in manual pages.

 -- Colin Watson <cjwatson@debian.org>  Fri, 10 Sep 2010 13:10:42 +0100

apt-xapian-index (0.38) unstable; urgency=low

  [ Martin Pitt ]
  * plugins/apttags.py, AptTags.info(): If the Dir::Cache::pkgcache file does
    not exist (such as in our test suite, or simply if the system disables
    it), do not crash but return timestamp == 0, as per documentation.
    (LP: #267330)
  * plugins/descriptions.py, indexDeb822(): Fix KeyError on "Description" when
    running in a non-English locale. Instead, look for a translated key and
    index that one.
  * axi/indexer.py, setupIndexing(): Round timestamps when comparing them.
    This fixes the test suite failing on almost-but-not-quite-identical
    timestamps.
  * debian/rules: Run the test suite during build. Add the necessary python
    libs (-debian, -xapian, -apt, and -nose) as build dependencies.

 -- Enrico Zini <enrico@debian.org>  Mon, 21 Jun 2010 13:39:11 +0100

apt-xapian-index (0.37) unstable; urgency=low

  * Move #DEBHELPER# at the beginning of postinst, otherwise
    update-python-modules -p doesn't seem to always work. Closes: #581811

 -- Enrico Zini <enrico@debian.org>  Mon, 24 May 2010 17:31:08 +0100

apt-xapian-index (0.36) unstable; urgency=low

  * Do not use ionice in cron job inside virtual environments.
    Patch by Raoul Bhatia. Closes: #581930.
  * Removed leftover debugging print when python-xdg is not available.
    Closes: #581906
  * Do not require a password for a simple update-apt-xapian-index run via
    dbus. Patch from Ubuntu by Michael Vogt. Closes: #582428.

 -- Enrico Zini <enrico@debian.org>  Sun, 23 May 2010 14:39:02 +0100

apt-xapian-index (0.35) unstable; urgency=low

  * Tolerate (and if --verbose, report) .desktop file with invalid popcon
    fields
  * Added missing import. Closes: #581736
  * Run update-python-modules -p before updating the index in postinst.
    Closes: #581811

 -- Enrico Zini <enrico@debian.org>  Sun, 16 May 2010 09:33:58 +0100

apt-xapian-index (0.34) unstable; urgency=low

  * Added aliases plugin, to feed synonims to the index
  * Tolerate older versions of python-debian
  * Give a nicer error message if run with not enough permissions
  * Added acknowledgements file mentioning sponsorship by the Fuss project

 -- Enrico Zini <enrico@debian.org>  Thu, 13 May 2010 14:19:43 +0100

apt-xapian-index (0.33) unstable; urgency=low

  * Added missing import, fixing indexing of multilanguage descriptions

 -- Enrico Zini <enrico@debian.org>  Wed, 12 May 2010 22:31:31 +0100

apt-xapian-index (0.32) unstable; urgency=low

  * Tolerate plugins' init functions that do not expect any arguments

 -- Enrico Zini <enrico@debian.org>  Wed, 12 May 2010 21:42:43 +0100

apt-xapian-index (0.31) unstable; urgency=low

  [ David Paleino ]
  * debian/rules: set COLUMNS envvar when calling help2man (Closes: #577525)
  * debian/cron.weekly:
    - pass --update to update-apt-xapian-index, try to be less
      invasive during background runs (LP: #363695)
    - don't run the indexer when on battery power
  * axi-cache, update-xapian-index: update version number

  [ Axel Rutz ]
  * debian/cron.weekly:
    - inserted missing space in 'ionice -c 3'
    - give the indexer maximum niceness (LP: #363695)

  [ Enrico Zini ]
  * Switch to debhelper7 and distutils
  * Reorganised code in modules
  * Added a test suite
  * Added indexer for app-install .desktop file information

 -- Enrico Zini <enrico@debian.org>  Wed, 12 May 2010 21:42:36 +0100

apt-xapian-index (0.30) unstable; urgency=low

  [ Enrico Zini ]
  * axi-cache: fix behaviour of again with no parameters
  * axi-cache: AND terms by default instead of OR
  * axi-cache: remove AND, OR and NOT from partial expressions when providing
    tab completion candidates
  * axi-cache: suggest tags from a preset list of facets when completing
    "axi-cache search "
  * axi-cache: when completing "axi-cache again " suggest context-sensitive
    terms from the previous "search" query
  * axi-cache: implemented showpkg
  * axi-cache: implemented showsrc
  * axi-cache: implemented depends, rdepends, policy, madison

  [ David Paleino ]
  * axi-cache.sh: move common "else" clause out of the last case..esac

 -- David Paleino <dapal@debian.org>  Mon, 12 Apr 2010 18:37:53 +0200

apt-xapian-index (0.29) unstable; urgency=low

  * axi-cache: don't die horribly if a package exists in a-x-i but not in apt

 -- Enrico Zini <enrico@debian.org>  Sun, 11 Apr 2010 09:21:41 +0200

apt-xapian-index (0.28) unstable; urgency=low

  * Added Homepage: field
  * Implemented axi-cache show and David provided its completion
  * Allow to run via dbus (Thanks to Michael Vogt)

 -- Enrico Zini <enrico@debian.org>  Sat, 10 Apr 2010 17:51:06 +0200

apt-xapian-index (0.27) unstable; urgency=low

  [ Enrico Zini ]
  * Added axi-cache to search the index
  * Add spellchecking information to the database

  [ David Paleino ]
  * Added axi-cache.sh bash-completion snippet
  * Install bash-completion snippet using dh_bash-completion
  * Added myself to Uploaders

 -- David Paleino <dapal@debian.org>  Fri, 09 Apr 2010 23:19:15 +0200

apt-xapian-index (0.26) unstable; urgency=low

  * Use the new module name for python-debian. Closes: #573935

 -- Enrico Zini <enrico@debian.org>  Fri, 19 Mar 2010 21:00:08 +0000

apt-xapian-index (0.25) unstable; urgency=low

  * Upgrade to the new python-apt API. Thanks Julian Andres Klode for the
    patch. Closes: #572052

 -- Enrico Zini <enrico@debian.org>  Mon, 01 Mar 2010 11:56:55 +0000

apt-xapian-index (0.24) unstable; urgency=low

  * Fixed deprecation warnings, thanks to Matt Kraai. Closes: #570219
  * Fixed more deprecation warnings.
  * Disable all warnings when run with --quiet. Not sure it is a good idea,
    not sure it is a bad idea either.

 -- Enrico Zini <enrico@debian.org>  Sun, 28 Feb 2010 23:28:45 +0000

apt-xapian-index (0.23) unstable; urgency=low

  * Applied patch by Matt Kraai. Closes: #547074
  * Better output for initial runs. Closes: #547126
  * Check for ionice before using it. Closes: #562078
  * Updated Standards-version. No changes needed.

 -- Enrico Zini <enrico@debian.org>  Sun, 14 Feb 2010 18:51:21 +0100

apt-xapian-index (0.22) unstable; urgency=low

  * Applied patch by Michael Vogt. Closes: #536857.
    - Run the weekly update with nice and ionice
    - Fix bug in --updates when it is selecting the wrong index

 -- Enrico Zini <enrico@debian.org>  Wed, 15 Jul 2009 11:44:24 +0100

apt-xapian-index (0.21) unstable; urgency=low

  * Applied patch from Michael Vogt to implement a --update option that
    performs an incremental update of only those packages whose version has
    changed
  * Use "auto path" instead of "flint path" in the Xapian link file, so that
    we can transparently handle new formats in the future
  * Added "exit 0" at the end of maintainer scripts

 -- Enrico Zini <enrico@debian.org>  Tue, 07 Jul 2009 16:28:48 +0100

apt-xapian-index (0.20) unstable; urgency=low

  * Ported to use the new method names from python-debian. It seems to have
    become trendy to rename methods in libraries. I dread to think what will
    happen when it will become trendy to migrate to python 3. Closes: #526587.
  * Bumped Standards-Version, no changes needed
  * Depends on ${misc:Depends}

 -- Enrico Zini <enrico@debian.org>  Sun, 03 May 2009 21:07:16 +0100

apt-xapian-index (0.19) unstable; urgency=low

  * Ported to use the Version class from new python-apt.
  * Depend on fixed version of new python-apt.
    Closes: #521346, #523737, #523747.

 -- Enrico Zini <enrico@debian.org>  Mon, 13 Apr 2009 20:44:41 +0100

apt-xapian-index (0.18) unstable; urgency=low

  * Run the background update niced.
  * Check policy-rc.d to see if it should start update-apt-xapian-index in the
    background.  Closes: #516728.

 -- Enrico Zini <enrico@debian.org>  Tue, 24 Feb 2009 15:08:57 +0000

apt-xapian-index (0.17) unstable; urgency=medium

  * Work around python-apt bug #513315 until they fix it.  Closes: #515791.

 -- Enrico Zini <enrico@debian.org>  Sat, 21 Feb 2009 11:08:06 +0000

apt-xapian-index (0.16) unstable; urgency=low

  * Create /var/lib/apt-xapian-index/ in a way that is free of race
    conditions.  Closes: #506766.
  * Fix cron job to be quiet if the package is removed but not purged.
    Closes: #502607.
  * Simplified searchcloud example.

 -- Enrico Zini <enrico@debian.org>  Sat, 24 Jan 2009 10:45:05 +0000

apt-xapian-index (0.15) unstable; urgency=low

  * Properly implement detection of concurrent updates
  * If a concurrent update is detected, its status will be printed
  * Use a xapian stub database instead of a symlink

 -- Enrico Zini <enrico@debian.org>  Thu, 07 Aug 2008 12:28:41 +0200

apt-xapian-index (0.14) unstable; urgency=low

  * Added --batch-mode to produce machine-readable output, to use for GUI
    feedback in package managers.  Thanks to Petr Rockai.
  * Reformatted debian/copyright
  * Shortened short description

 -- Enrico Zini <enrico@debian.org>  Thu, 31 Jul 2008 14:57:32 +0200

apt-xapian-index (0.13) unstable; urgency=low

  * Upload properly.

 -- Enrico Zini <enrico@debian.org>  Sun, 20 Jul 2008 07:55:50 +0100

apt-xapian-index (0.12) unstable; urgency=low

  * Added axi-searchcloud.py example
  * Fix some lintian warnings
  * In postinst, build the index in background if it has never been done
    before

 -- Enrico Zini <enrico@debian.org>  Sat, 19 Jul 2008 21:24:16 +0100

apt-xapian-index (0.11) unstable; urgency=low

  * Use -f when removing data on purge, to avoid complaining if it is missing.

 -- Enrico Zini <enrico@debian.org>  Sun, 06 Jul 2008 17:48:18 +0200

apt-xapian-index (0.10) unstable; urgency=low

  * Applied patch from Michael Vogt.  Closes: #487677.

 -- Enrico Zini <enrico@debian.org>  Sun, 06 Jul 2008 16:58:20 +0200

apt-xapian-index (0.9) unstable; urgency=low

  * Remove the index on remove as well as on purge.
  * Properly unquote language names from translation files, and ignore
    translation records with strange Description fields.  Closes: #472953

 -- Enrico Zini <enrico@debian.org>  Fri, 20 Jun 2008 09:49:48 +0100

apt-xapian-index (0.8) unstable; urgency=low

  * Fixed translations plugin to handle when there are no translations in the
    system.  Closes: #471957

 -- Enrico Zini <enrico@debian.org>  Fri, 21 Mar 2008 19:22:09 +0800

apt-xapian-index (0.7) unstable; urgency=low

  * Remove *.pyc from the plugin directory on remove or purge.
    Closes: #467193
  * Added plugin to index sections
  * Added plugin to index translated descriptions

 -- Enrico Zini <enrico@debian.org>  Mon, 17 Mar 2008 13:02:42 +0000

apt-xapian-index (0.6) unstable; urgency=low

  * Added --pkgfile option to index arbitrary Package files instead of the APT
    cache.

 -- Enrico Zini <enrico@debian.org>  Tue, 19 Feb 2008 11:19:08 +0000

apt-xapian-index (0.5) unstable; urgency=low

  * Updated XS-Vcs* fields to the new location in git under collab-maint
  * Cron job does not fail if the package is removed.  Closes: #461571
  * Fixed apttags.py plugin

 -- Enrico Zini <enrico@debian.org>  Thu, 07 Feb 2008 11:28:14 +0000

apt-xapian-index (0.4) unstable; urgency=low

  * Added versioned dependency on python-xapian.  Closes: #447382.
  * Added examples from my blog posts

 -- Enrico Zini <enrico@debian.org>  Mon, 22 Oct 2007 15:34:38 +0100

apt-xapian-index (0.3) experimental; urgency=low

  * Install the examples properly

 -- Enrico Zini <enrico@debian.org>  Tue, 16 Oct 2007 22:47:04 +0100

apt-xapian-index (0.2) experimental; urgency=low

  * Added license headers
  * Added examples

 -- Enrico Zini <enrico@debian.org>  Tue, 16 Oct 2007 22:39:27 +0100

apt-xapian-index (0.1) experimental; urgency=low

  * Initial release.
  * This package will replace ept-cache reindex for the task of maintaining a
    system-wide index of Debian package metadata.

 -- Enrico Zini <enrico@debian.org>  Tue, 16 Oct 2007 12:20:43 +0100
